首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Coding
V2EX  ›  Java

Java 通过 guava 调用火狐失败

  •  
  •   wsz66 · 57 天前 · 758 次点击
    这是一个创建于 57 天前的主题,其中的信息可能已经有所发展或是发生改变。

    guava 的版本如下:

    		<dependency>
    			<groupId>com.google.guava</groupId>
    			<artifactId>guava</artifactId>
    			<version>15.0</version>
    		</dependency>
    

    代码是这样子的:

            System.setProperty("webdriver.gecko.driver", new File(new File(this.getClass().getResource("/").getPath()).getParent()).getParent() + "\\tools\\geckodriver.exe");
            System.out.println(System.getProperty("webdriver.gecko.driver"));
            FirefoxProfile profile = new FirefoxProfile();
    

    报的错是这样子的:

    com.google.common.base.Preconditions.checkArgument(ZLjava/lang/String;Ljava/lang/Object;Ljava/lang/Object;Ljava/lang/Object;)V
    

    上周,在论坛里几位老哥的提点下可能是由于包冲突引起的,我用 Maven helper 插件检测了 pom 文件,没有相关包存在冲突。目前,认为是包版本比较低,请问用哪个版本合适

    2 回复  |  直到 2019-10-14 17:24:40 +08:00
        1
    firstfire   57 天前
    有用 guava map reduce 的老代码的话,用 20.0 版本吧,不然的话用 23.0 或更新的
        2
    wsz66   57 天前
    @firstfire 谢谢,我试一下
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4202 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 41ms · UTC 06:57 · PVG 14:57 · LAX 22:57 · JFK 01:57
    ♥ Do have faith in what you're doing.